# LegacyFlavour Mod for Cities Skylines 2

Welcome to LegacyFlavour, a mod that blends the charm of Cities Skylines 1 with the advanced gameplay of Cities Skylines 2. Our goal is to enhance your city-building experience by merging nostalgic elements from the original game with the new features of the sequel.

## Features

- **Unit Display for Road Tools**: Adds a 'Unit' display to road tools for precise planning and building. Requires Imperial units set in game options.

- **Transparent Zone Grid Cells**: Introduces transparent zone grid cells for a cleaner and more aesthetically pleasing city layout.

- **Re-worked color Zone colour scheme**: Changes the colour scheme of zones to better match Cities Skylines 1. (UI icons will be updated too in the near future).

- **Color-Blindness Modes**: This is WIP and currently in testing. Cycle zone colours to match a scheme for specific types of colour blindness.

- **Toggle Shortcuts**: ALT+Z to toggle the zone colours mod. SHIFT+Z to cycle through colour blindness modes.

- **Configure Zone colours via JSON**: Config file in mod directory to allow custom values.

- **Dynamic Zone Borders**: If it snows zone borders will switch colour to be more visible on snow.

## Installation

### Requirements

- **BepInEx v5**: This mod requires BepInEx v5. Ensure you have this installed in your Cities Skylines 2 game.

### Download and Install

1. Download LegacyFlavour from this ThunderStore.io page.
2. Extract the downloaded files.
3. Copy the extracted files to the `BepInEx/plugins` folder in your Cities Skylines 2 directory.
4. Start Cities Skylines 2, and enjoy the mod!

## Support and Contributions

- If you encounter any issues or have questions, feel free to open an issue on our [GitHub repository](https://github.com/Cities2Modding/LegacyFlavour).
- Contributions are welcome! If you have suggestions or improvements, please submit them via GitHub.

## Disclaimer

LegacyFlavour is a fan-created mod and is not officially associated with the Cities Skylines franchise.

## Acknowledgements

Thanks to the dedicated Cities Skylines modding community for their support and creativity.

---

Happy city building with LegacyFlavour! Rediscover the legacy with a modern twist. 🌃🌉
